<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.erp.dashboard.repository.PullRecordRepository">

    <resultMap id="ApiStatsResultMap" type="com.erp.dashboard.dto.ApiStatsDTO">
        <result column="totalCalls" property="totalCalls"/>
        <result column="successCalls" property="successCalls"/>
        <result column="failedCalls" property="failedCalls"/>
        <result column="totalOrdersPulled" property="totalOrdersPulled"/>
    </resultMap>

</mapper>
